// packageD/auction/auctioneer-manage/auctioneer/auctioneer.js
var app = getApp();
Page({
  /**
   * 页面的初始数据
   */
  data: {},

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.getdata();
  },
  good_manage() {
    wx.navigateTo({
      url: "/packageD/auction/auctioneer-manage/good_manage/good_manage",
    });
  },
  toOrder() {
    wx.navigateTo({
      url: "/packageA/member/myOrder_v2/myOrder_v2?status=0&orderType=auction",
    });
  },
  tixian() {
    wx.reLaunch({
      url: "/packageG/pages/member/extension/extension",
    });
  },
  myMoney() {
    wx.navigateTo({
      url: "/packageD/auction/auctioneer-manage/my_money/my_money?type=auction",
    });
  },
  passwork() {
    wx.navigateTo({
      url:
        "/packageD/auction/auctioneer-manage/password_change/password_change",
    });
  },
  share() {
    wx.navigateTo({
      url: "/packageD/auction/auctioneer-manage/shop_share/shop_share",
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {},

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {},

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {},

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {},

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {},

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {},

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {},
  getdata() {
    var that = this;
    let urlStr = app.getNetAddresss("plugin.auction.api.index.getAuctionData");
    let json = {
      art: "auctioneer",
    };
    app._postNetWork({
      url: urlStr,
      data: json,
      success: function (resdata) {
        var res = resdata.data;
        if (res.result == 1) {
          console.log(res);
          that.setData({
            info: res.data.auctioneer,
          });
        } else {
          wx.showToast({
            title: res.msg,
            icon: "none",
            duration: 1000,
          });
        }
      },
      fail: function (res) {
        console.log(res);
      },
    });
  },
});
